przystajnik

Naufrago! Wśród odmętu nagłówków

Czy w dobie wtyczek do wszystkiego dla przeglądarek WWW, gromadzenie nagłówków ulubionych RSSów i ich treści może być frapującym zajęciem? Wydawać by się mogło, że w tym temacie nie ma już miejsca na jakieś dywagacje. Lecz jednak jeżeli ktoś przykłada uwagę do tego, czym czyta wspomniane RSSy (choćby z powodu zasobów komputera), to poza wspomnianymi wtyczkami (które niewątpliwie obciążają przeglądarkę), czy programu Liferea (który lubi rozsiąść się na pamięci naszej maszyny) – może go zainteresować dryfujący w spokoju projekt Naufrago!.

Naufrago!

Program bez dwóch zdań wygląda jak kopia wspomnianego Liferea. Czym się wyróżnia, skoro nawet sam autor odżegnuje się od odkrywania na nowo koła? Głównym założeniem tego projektu jest gromadzenie wpisów w ten sposób, aby potem była możliwość ich odczytania bez dostępu do sieci – łącznie z zawartymi w nich grafikami i zdjęciami. W kwestii takiej, wydawałoby się, błahostki, nie udało się autorowi dojść do porozumienia z twórcami Liferea. I stąd też, niejako przy okazji powstał program, które potrzebuje zdecydowanie mniej zasobów niż pierwowzór (pomimo kodu źródłowego popełnionego w Pythonie), importuje listę RSSów *.opml (np. z Liferea), minimalizuje się elegancko do zasobnika systemowego, informuje subtelnie o nowych wpisach, nie przytłacza swoimi opcjami użytkownika, oraz… Po prostu wyświetla czytelnie wpisy subskrybowanych przez nas pozycji. Program nie oszałamia liczbą opcji, ale natkniemy się na takie oczywiste oczywistości, jak tworzenie kategorii, przeciąganie między nimi pozycji, wyszukiwanie fraz i słów kluczowych, zgrupowane nieprzeczytane wpisy i parę innych udogodnień.Aby zainstalować program, mamy do wyboru dwie opcje. Ściągnięcie paczki .deb i zainstalowanie jej – najnowsza wersja to naufrago-0.4-1_all.deb. Bądź, dla użytkowników dystrybucji nie-debiano-pochodnych, pobranie z tego samego miejsca archiwum *.bz2, rozpakowanie w dowolne miejsce i uruchomienie (to program w Pythonie – nie wymaga zatem kompilacji).Program oczywiście ma wymagania i jeżeli instalujemy paczkę ręcznie musimy się upewnić, że nie brakuje nam w systemie:

  • Python 2.5 or better.
  • python-gtk2 (Python gtk2 bindings).
  • python-pysqlite2 (Python sqlite3 bindings).
  • python-feedparser (Python feedparser bindings).
  • python-webkit (Python Webkit bindings).
  • Post navigation

    Translate »